( function() {
    function handleResponse( response ) {
        if ( response && response.linked ) {
            status.className = 'task is-linked';
        } else if ( response ) {
            status.className = 'task is-notlinked';
        }
        status.querySelector( '.when-linked a' ).addEventListener( 'click', function() {
            chrome.runtime.sendMessage( {
                type: 'unlink',
                issuer: meta.getAttribute( "content" )
            }, function( response ) {
                status.className = 'task is-notlinked';
            } );
        } );
        status.querySelector( '.when-notlinked a' ).addEventListener( 'click', function() {
            chrome.runtime.sendMessage( {
                type: 'link',
                issuer: meta.getAttribute( "content" )
            }, function( response ) {
                status.className = 'task is-linked';
            } );
        } );
    }

    const meta = document.querySelector( "meta[name='keyhub-issuer']" );
    const status = document.getElementById( 'extensionStatus' );
    if ( meta ) {
        const msg = {
            type: 'query',
            issuer: meta.getAttribute( "content" )
        };
        chrome.runtime.sendMessage( msg, handleResponse );
    }
} )();